%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%                                                                           %%
%%                              Prolog typer                                 %%
%%                                                                           %%
%%         Emmanuel Coquery, projet Contraintes, INRIA Rocquencourt          %%
%%                                                                           %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% $Header: /home/beaune/contraintes/coquery/cvs/contraintes/tclpchr/lib/sicstus/attributes.typ,v 1.2 2002/03/28 15:01:41 coquery Exp $

%% Types for module attributes (atts.pl)

%:- type access_spec is [ +(term) , -(term) ].
:- typeof atts_subset(list(term),int,list(term)) is pred. 
%:- typeof get_atts(term,access_spec) is pred.
%:- typeof put_atts(term,access_spec) is pred.
:- typeof get_atts(A,term) is pred.
:- typeof put_atts(A,term) is pred.
:- typeof verify_attributes(A,A,list(goal)) is pred.
:- typeof attribute_goal(term,goal) is pred.
:- typeof project_attributes(list(term),list(term)) is pred.
:- typeof attribute(term) is pred.
:- typeof -(term) is term.
:- typeof +(term) is term.

:- untyped [ attribute/1 ].
